Search for Form
- Search 7.x for Form
- Search 9.5.x for Form
- Search 8.9.x for Form
- Search 10.3.x for Form
- Search 11.x for Form
- Other projects
Exact matches
| Title | Object type | File name | Summary |
|---|---|---|---|
| Form | class | core/ |
Form to test _form routing. |
| Form | class | core/ |
Provides a render element for a form. |
All search results
| Title | Object type | File name | Summary |
|---|---|---|---|
| hook_field_widget_single_element_WIDGET_TYPE_form_alter | function | core/ |
Alter widget forms for a specific widget provided by another module. |
| hook_field_widget_third_party_settings_form | function | core/ |
Allow modules to add settings to field widgets provided by other modules. |
| hook_filter_format_disable | function | core/ |
Perform actions when a text format has been disabled. |
| hook_form_alter | function | core/ |
Perform alterations before a form is rendered. |
| hook_form_BASE_FORM_ID_alter | function | core/ |
Provide a form-specific alteration for shared ('base') forms. |
| hook_form_FORM_ID_alter | function | core/ |
Provide a form-specific alteration instead of the global hook_form_alter(). |
| hook_form_system_theme_settings_alter | function | core/ |
Allow themes to alter the theme-specific settings form. |
| hook_user_format_name_alter | function | core/ |
Alter the username that is displayed for a user. |
| hook_views_form_substitutions | function | core/ |
Replace special strings when processing a view with form elements. |
| hook_views_plugins_exposed_form_alter | function | core/ |
Modify the list of available views exposed form plugins. |
| Html::transformRootRelativeUrlsToAbsolute | function | core/ |
Converts all root-relative URLs to absolute URLs. |
| HtmlEntityFormController | class | core/ |
Wrapping controller for entity forms that serve as the main page body. |
| HtmlEntityFormController.php | file | core/ |
|
| HtmlEntityFormController::$entityTypeManager | property | core/ |
The entity type manager service. |
| HtmlEntityFormController::getFormArgument | function | core/ |
|
| HtmlEntityFormController::getFormObject | function | core/ |
Instead of a class name or service ID, $form_arg will be a string representing the entity and operation being performed. Consider the following route: |
| HtmlEntityFormController::__construct | function | core/ |
Constructs a new \Drupal\Core\Routing\Enhancer\FormEnhancer object. |
| HtmlFormController | class | core/ |
Wrapping controller for forms that serve as the main page body. |
| HtmlFormController.php | file | core/ |
|
| HtmlFormController::$classResolver | property | core/ |
The class resolver. |
| HtmlFormController::getFormArgument | function | core/ |
|
| HtmlFormController::getFormObject | function | core/ |
|
| HtmlFormController::__construct | function | core/ |
Constructs a new \Drupal\Core\Controller\HtmlFormController object. |
| HtmlList::buildOptionsForm | function | core/ |
Render the given style. |
| HtmlResponseAttachmentsProcessor::formatHttpHeaderAttributes | function | core/ |
Formats an attribute string for an HTTP header. |
| HTMLRestrictions::fromTextFormat | function | core/ |
Constructs a set of HTML restrictions matching the given text format. |
| HtmlTest::providerTestTransformRootRelativeUrlsToAbsolute | function | core/ |
Provides test data for testTransformRootRelativeUrlsToAbsolute(). |
| HtmlTest::providerTestTransformRootRelativeUrlsToAbsoluteAssertion | function | core/ |
Provides test data for testTransformRootRelativeUrlsToAbsoluteAssertion(). |
| HtmlTest::testTransformRootRelativeUrlsToAbsolute | function | core/ |
Tests transform root relative urls to absolute. |
| HtmlTest::testTransformRootRelativeUrlsToAbsoluteAssertion | function | core/ |
Tests transform root relative urls to absolute assertion. |
| HtmxDynamicFormTest | class | core/ |
Tests that dynamic forms powered by HTMX work as expected. |
| HtmxDynamicFormTest.php | file | core/ |
|
| HtmxDynamicFormTest::$defaultTheme | property | core/ |
|
| HtmxDynamicFormTest::$modules | property | core/ |
|
| HtmxDynamicFormTest::testHtmxForm | function | core/ |
Tests HTMX form functionality. |
| HtmxDynamicFormTest::testMissingPartialTarget | function | core/ |
Verify that response with two partials: one bad, one good. |
| HtmxDynamicFormTest::testMissingSwapTarget | function | core/ |
Verify that a bad swap target selector does not cause an error. |
| HtmxDynamicFormTest::testPartialDelete | function | core/ |
Verify that an hx-partial response with a delete swap removes the target. |
| HtmxDynamicFormTest::testPartialTarget | function | core/ |
Verify that an hx-partial response replaces the target. |
| HtmxDynamicFormTest::testWrapperFormat | function | core/ |
Verify that the _wrapper_format query parameter is set by htmx-assets.js. |
| HtmxRendererTest::testWrapperFormat | function | core/ |
Test triggering the renderer with _wrapper_format. |
| HtmxTestAjaxForm | class | core/ |
A small form used to insert an HTMX powered element using ajax API. |
| HtmxTestAjaxForm.php | file | core/ |
|
| HtmxTestAjaxForm::buildForm | function | core/ |
|
| HtmxTestAjaxForm::getFormId | function | core/ |
|
| HtmxTestAjaxForm::submitForm | function | core/ |
|
| HtmxTestAttachmentsController::withWrapperFormat | function | core/ |
Builds a response with the wrapper format parameter on the request. |
| HtmxTestForm | class | core/ |
A small form used to test HTMX dynamic forms. |
| HtmxTestForm.php | file | core/ |
|
| HtmxTestForm::buildDependentOptions | function | core/ |
Pagination
- Previous page
- Page 119
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.